
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>云计算网络基础架构的实践和演进——打造云计算网络基石 / iVAN</title>

    <meta name="description" content="云计算网络基础架构的实践和演进——打造云计算网络基石 摘要:从传统IT部署到云,人肉运维已经是过去式,云上运维该怎么开展?人工智能对于运维&quot;威胁论&quot;也随之袭来,如何去做更智能的活,当下很多运维人在不断思考和探寻答案.在2017运维/DevOps在线技术峰会上,阿里云专家云登就为大家分享了云计算网络基础架构的实践和演进,精彩不容错过. 以下内容根据演讲视频以及PPT整理而成. 众所周知,云计算是以计算.存储和网络作为基础的.网络作为云计算的重要基石之一,其架构设计和演进是云计算发展的重要一环,而网络架构涉及可靠性.性能.可扩展性等 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">云计算网络基础架构的实践和演进——打造云计算网络基石</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><b>摘要：</b>从传统IT部署到云，人肉运维已经是过去式，云上运维该怎么开展？人工智能对于运维“威胁论”也随之袭来，如何去做更智能的活，当下很多运维人在不断思考和探寻答案。在2017运维/DevOps在线技术峰会上，阿里云专家云登就为大家分享了云计算网络基础架构的实践和演进，精彩不容错过。</p>
<p><b>以下内容根据演讲视频以及PPT整理而成。</b></p>
<p>众所周知，云计算是以计算、存储和网络作为基础的。网络作为云计算的重要基石之一，其架构设计和演进是云计算发展的重要一环，而网络架构涉及可靠性、性能、可扩展性等多方面内容。架构是从理论设计开始的，理论设计和实践碰撞到一起，能否经得住考验，是否能够符合预期呢？厂商所提供的网络设备的高级特性真的是解决问题的银弹么？如何通过经典网络和VPC构建混合云，打通云上和云下呢？阿里云在以往的实践以及与用户的交互碰撞中遇到的问题又是如何解决的呢？本次分享中将与大家一起进行探讨。</p>
<p><b>本次分享的目录</b><br />
一、常见的云计算网络架构<br />
二、云计算网络的可靠性和故障定界<br />
三、专有云网络的模块化<br />
四、混合云构建的并网案例<br />
五、云网络架构的演进趋势<br /><b><br />
一、常见的云计算网络架构</b><br />
下图所展示是一种常见的云计算网络集群架构。传统情况下云计算网络架构会分为三层：接入层、汇聚层和核心层。如下图所示，在接入层下面的两台交换机会进行堆叠，再下面会连接服务器，服务器一般会选择使用两个网卡进行bond之后以双上连的方式连接到2台接入交换机。在接入交换机和汇聚交换机之间也会有多条线路的连接，一般而言会存在二层或者三层的接入。对于带宽收敛比的设计而言，对于千兆集群可以采用1:1无收敛的方式，而对于万兆集群则可以使用收敛比为1:3或者1:2的方案，也可能使用无收敛的设计。从汇聚层再向上连接到核心层，一般情况会使用三层连接。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzVhMzUxMTNiZTM3YzBiOTQ1YzQ1YTNlNGFmOGQ2ODQ3NTZhMTkyZmEucG5n.jpg"></p>
<p>下图是另外一种比较常见的云计算网络集群架构，在Spine节点和Leaf节点之间可能会存在三层连接，而Spine节点和Core节点之间也可能会存在三层连接，这种网络架构相比于前面提到的架构而言，其扩展粒度要更细，可以细化到一组或者多组进行接入。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzQ1NTE3ZDU5NDQzYmMxNmQ3NWI0ZTBkNWExZWFhMDRkMjA0ZjkyMzUucG5n.jpg"></p>
<p>想必大家对于Overlay以及Underlay网络都有所了解，物理网络被称为Underlay网络，物理网络搭建完成之后应该尽量保证网络拓扑是固定的；而对于Overlay的网络而言，可以基于VXLAN技术构建VPC网络，通过软件定义和控制器的方式可以动态地构建虚拟的网络。所构建的网络可以是一个或多个虚拟的网络，可以通过云上不同的租户去定义地址规划以及路由的规划，甚至还可以提供类似于高速通道这样跨VPC之间的互通。Underlay网络的设计基本上就是前面所提到的接入-汇聚-核心架构以及Spine-Leaf架构，而对于Overlay的网络则描述的是虚拟的层面，提供的实际上是虚拟的路由器和虚拟的交换机，包括其构建出来的可以接入像SLB、RDS、ECS、OCS等云产品的VPC容器。为什么叫做Overlay呢？其实因为Overlay网络是通过VXLAN隧道的封装运行在Underlay物理网络之上的。通过Overlay逻辑网关去组织业务进行资源编排就可以构建出非常丰富的基于Overlay网络的产品。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2VhYWYzM2Q3N2IwMmQ1ODVmNTU5MjE4ZTY4ZmMzNGY3YzhjYzdkYTMucG5n.jpg"></p>
<p><b><br />
二、云计算网络的可靠性和故障定界</b><br />
前面主要介绍了云计算网络的一些基础概念，接下来将会针对云计算网络的可靠性以及故障定位的方式进行分享。</p>
<p>对于云计算平台的物理网络而言，其可靠性可以分为以下的几类：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzRhNGJmYWZlM2E1MzFkM2ZmNTZmYTk4NzczYmNkMDMwMjI5M2E4ZGYucG5n.jpg"></p>
<ol>
<li><b>多线路，</b>常见二层的LACP，也就是链路聚合，对于三层则使用等价路由。</li>
<li><b>设备HA，</b>从体系结构来讲，分布式的多框、多插槽的设备能够提供多主控、多接口板这样的方式，还可以提供类似于堆叠技术和多机之间的双机热备以及多机的备份或者多机堆叠的方式，还可以提供VRRP的链路切换。</li>
<li><b>探测和切换机制，</b>实际上在网络配置交付之后，如果远端出现了问题，为了解决链路上的负载均衡以及主备切换的问题，可以引入比如NQA+Track这样的探测技术，这样可以针对静态路由的配置通过不同的优先级和NQA探测方式发现远端节点不可达的时候进行路由切换。除此之外，在探索到某台设备出现故障的时候就可以进行故障隔离，可以实现端口级或者设备级的故障隔离，保证流量可以走备份或者冗余链路进而避免流量中断，当然，这种情况下可能对于流量带宽造成一定的损失。</li>
<li><b>巡检和监测，</b>针对于Overlay和Underlay的网络会提供主动探测的机制，还有对于设备的日常日志告警的分析。设备在运行中往往会报很多的日志和告警，将这些信息收集起来之后结合云平台的业务流量可以挖掘出很多故障的可能性、已经出现的故障还有对于未来可能出现故障的预判。还可以进行流量分析，并且基于此判断云平台的网络是否出现了一些问题。</li>
</ol>
<p>如下图所示的是常见的网络集群故障点分布图，云计算平台的网络故障点主要集中在下图中标号的几个位置：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzk2ZWIyNzcxYWM1YjBkYTMxYzUxMTBhN2E3ZjA3YThiYjQyYjM4MzMucG5n.jpg"></p>
<ul>
<li><b>标号1：线路故障，</b>比如服务器上连到TOR交换机，也就是服务器上的接入网卡接入到交换机上时出现了网卡、线路或者是接入端口损坏导致线路上出现故障。同样的，从接入层到汇聚层，从汇聚层到核心层也会出现这样的线路故障。</li>
<li><b>标号2：核心设备的故障，</b>核心设备的故障可能导致跨网络端口之间的流量损失，由此造成的影响范围往往比较大。对图中所示的网络架构而言，如果流量需要跨端口进行传输，就一定需要从接入层到汇聚层再到核心层再转入另外一个POD的汇聚层。</li>
<li><b>标号3：汇聚交换机的故障，</b>一般情况下汇聚交换机采用堆叠的方式，可能会出现堆叠的分裂以及单台设备的故障，也可能出现整个端口流量上行的带宽减半或者是分裂以后导致等一些不可预期的后果，因此需要及时检测出一些故障并且及时进行隔离以及对于设备进行下线维修从而排除此类故障。</li>
<li><b>标号4：接入交换机的故障，</b>接入交换机也会发生类似于汇聚交换机的故障，堆叠分裂或者单机故障则会导致下面连接的服务器出现问题。</li>
<li><b>标号5：服务器故障。</b></li>
<li><b>标号6和7：像上述提到的堆叠出现问题造成的故障，</b>这样的故障需要通过日常的巡检以及网络设备自身报告故障的日志告警来发现问题并及时去进行相应的处理。</li>
</ul>
<p><b>以下是对于常见的网络集群故障点的详细描述：</b>
<ol>
<li><b>线路故障。</b>体现为带宽的损失，一般通过多条线路保障，三层网络设备间通常用ECMP等价路由，二层网络设备间通常采用聚合LACP，提高可靠性。在实际情况下，在公有云环境中会发现：一旦网络集群规模大了之后，堆叠出现问题的概率就会变大，与此同时，二层的广播风暴和环路出现的概率也会变大，阿里云目前在逐步地考虑去掉堆叠并且去掉二层，这也可能是未来的发展方向。这样的目的是为了简化网络并提高网络集群的可靠性。</li>
<li><b>DSW故障。</b>DSW是对于核心设备的称呼，由于所有的DSW之间不直接互联，它本身的可靠性只能依靠硬件框式分布式，多主控板（主备HA）、多接口板（上面说的多线路跨板连接）来保证单点可靠性，使用多台DSW，平时负载均衡，单台故障时互为备份链路。如果是单台DSW故障，将会影响带宽损失。</li>
<li><b>PSW故障。</b>也就是汇聚设备的故障，拓扑中有PSW堆叠和去堆叠两种情况，如果是堆叠的，单台故障，上下连线依靠跨堆叠设备的LACP或者ECMP实现业务不中断（但带宽有损失），如果不是堆叠的，参考（2）的场景。如果是单台PSW故障，影响的是下连的多组ASW带宽损失一半。</li>
<li><b>ASW故障。</b>线上很多的ASW都是堆叠的，目前阿里云也开始去堆叠，如果是堆叠的，ASW下连服务器，服务器双网卡bond接入（LACP），如果是去堆叠的ASW，服务器双网卡等价路由负载均衡。如果单台ASW故障，影响的是下连的48台服务器的带宽损失一半。未来，阿里云新构建的集群会逐渐减少对于堆叠的使用，进而提高网络设备的可靠性。其实对于网络厂商而言，他们也会对于堆叠特性进行大量的测试，但是实际上由于堆叠特性十分复杂，因为其涉及到硬件、软件、内部检测以及协议的传输备份，也就是会涉及到很多跨框、跨设备的同步以及选举机制。由于堆叠特性实现本身就非常复杂，就会导致出现问题的可能性比像路由转发这样其他简单特性更高。而在云计算场景下海量的网络设备同时运行，就进一步提升了堆叠特性出现问题的可能性，基本上就会导致出现存在堆叠的场景下可能经常会出现问题。为了解决这样的问题就需要逐步地去除堆叠和二层。</li>
<li><b>服务器故障。</b>可能体现在服务器网卡或者本身内部的应用系统的问题，服务器故障一般只会影响自己，范围比较小。</li>
<li><b>PSW堆叠分裂。</b>各自认为自己是主设备，为了减小影响，一般会配置DAD双主检测，禁掉一边，影响为整个pod的上联带宽和跨asw之间转发带宽损失一半。如果PSW堆叠整体故障，整个pod挂掉（各组ASW下的48台服务器之间仍可互通），上连不通，跨asw的互连不通。</li>
<li><b>ASW堆叠分裂。</b>类似于（6），影响为一组ASW下挂的48台服务器的互联或者上联带宽损失一半。如果ASW堆叠整体故障，该组ASW下连的48台服务器全部不通。对于（6）（7）的堆叠故障，由于厂商堆叠技术本身复杂，导致故障概率提升，再加上公共云使用的网络设备规模大，基数上去了就进一步放大出故障的概率，且影响范围大。因此网络本身的可靠性和故障位置，对于云产品来说影响的范围也是不同的，ecs之类的云产品能够打散到不同的ASW、POD甚至AZ（跨网络集群），其可靠性指标也是不同的。基本上是打散的网络设备之间的层级越高，可靠性保证越高，但同样的网络延迟也越高。</li>
</ol>
<p>那么怎样才能够及早地发现这些故障呢？其实可以使用故障主动探测的模型。在网络集群里面，可能会选择特定的接入设备比如像服务器，将其作为主动探测的机器，其探测的目标就是网络设备下面的其他服务器。</p>
<p><b>建立的第一个简单故障主动探测的模型如下：</b></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzk1MDNkNjBmMTdkMmZlZmI5ZGUzNzgwODg1NDRhNDAyODg3MjJiZTkucG5n.jpg"></p>
<ol>
<li>一个TOR下面所有物理服务器（例如48台）都同时出现大量丢包 --&gt; TOR交换机故障。</li>
<li>个别物理服务器出现丢包 --&gt; 服务器负载问题/TOR交换机端口队列打满。</li>
<li>到某个机房的大量物理服务器同时出现大量丢包--&gt;汇聚交换机/核心交换机故障。</li>
<li>到某个机房的大量物理服务器出现少量概率丢包-&gt;汇聚交换机/核心交换机的个别端口问题。</li>
<li>每个机房最少只需要1台机器作为探测源，部署对业务网络影响小，ICMP ping之类的只能做Layer3的探测。</li>
</ol>
<p>依照上述的故障主动探测模型就可以简单地判断网络出现故障的范围。</p>
<p><b>建立的第二个简单故障主动探测的模型如下：</b></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2UwNDFhNTFjNDdkNzJlOWUyNDlkMDY4ZjFiN2RlMWY0NTM4YjMxNWYucG5n.jpg"></p>
<ol>
<li>通过选择不同位置的服务器作为探测源或者探测目标，发现不同层次的故障位置，多轮次组合。</li>
<li>要求每台服务器运行agent，并接受外部控制器指令，动态调整探测策略，可建立TCP连接并测试。</li>
<li>可以针对overlay和underlay网络进行探测，更容易模拟实际应用的业务流量特征，支持Layer 4探测、时延计算。</li>
</ol>
<p>第二个故障主动探测模型在服务器内部会增加一些代理Agent，安装代理之后可以做到对于4到7层的探测，可以探测出TCP连接的情况以及其延迟和性能速率。同样的，探测模型也可以组合出不同的探测方式，在了解网络架构的拓扑之后就可以探测位于同一组接入交换机下面的两台或者多台服务器，也可以探测位于不同的核心交换机或者汇聚交换机下面的多台服务器。通过这种建模方式就可以知道当前延迟高或者丢包的场景下，网络的问题到底出现在什么位置。</p>
<p><b>三、专有云网络的模块化</b><br />
上述提到的是网络体现在本身体系结构上的可靠性，比如分布式设备、支持主备HA、支持双机热备或者多机堆叠以及其他一些高级特性，这些都是从网络设备本身的角度而言的。除此之外，通过线路带宽的设计保证收敛比以及负载均衡，以此来保证云计算网络的可靠性。而通过日常的巡检和探测能够及时地发现故障，并在故障发生之后及时了解故障发生的具体原因并提供故障定位的方式，进而提高云平台网络的可靠性。<br /><b><br />
上述这些都是在公有云网络上的实践，对于专有云而言，又会存在什么样的差别呢？</b>其实对于专有云而言，更多地会对其进行模块化的设计。公有云一般而言是可规划的，可以对于未来集群的规模、建设的地域以及网络架构的选择等进行规划。而对于专有云而言，客户的需求往往不能够规划出来，不同的客户所需要的业务的场景和诉求往往是不同的，这些在网络设备的选型、已有设备的利旧使用以及对于云平台功能的裁剪上都会有所体现，所以专有云与公有云上的的网络设计就存在较大的差别。</p>
<p>下图是专有云网络架构图，一个很明显的特点就是专有云网络会分成几个区域，最上面的是外部接入区，外部接入区包含了阿里云和ISP或者用户骨干网出口的链接以及在其上进行安全防护的云盾。专有云网络架构图中间的DSW和下部的PSW则属于DC区，也就是网络架构的核心区域。图中右面的综合接入区分为了两个部分，一部分是阿里云所提供的负载均衡、VPC网关以及OPS相关的接入，另外一部分则是CSW，实际上就是客户的VPC专线接入区，阿里云的专有云客户会有一些原来的物理网络需要与云上的VPC进行网络打通，一般会通过VPC的专线接入交换机的综合交换机接入进来。也就是说专有云网络的每一个模块都有一个相对独立的设计，所有的模块实际上都是作为半独立的部分，所谓半独立就是意味着可以进行独立的裁剪或者进行局部调整。专有云网络进行模块化之后能够带来的好处就是可以进行随意地裁剪，比如很多专有云客户没有连接互联网的需求，只需要一个完全的孤岛环境，这样就可以将外部接入区全部裁减掉。这样做所带来的优点就是首先简化了不必要的功能，其次减少了设备的采购，也就减少了用户不必要的网络成本。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzRmNWRhY2I2MTEwOWI4ZmMxZjNjNzNjODIzMGViYmUwYmM2Zjg0NDkucG5n.jpg"></p>
<p><b>专有云网络架构其他方面的一些考虑与公有云存在哪些差别呢？</b></p>
<p><b>（1）专有云的网络架构源于公有云</b><br />
专有云基于公有云已验证输出的架构版本，进行裁剪和变更。既保证云网络架构是同构的，又引入灵活性和降低成本。</p>
<p><b>（2）公有云的建设是可规划的，专有云则是按项目走的</b><br />
公有云的网络架构一旦确定，建设就有了标准，在架构整个生命周期内建设都需要按照架构设计进行实现，而且完全可以提前规划。专有云更强调的是可以进行细粒度的调整，其可定制化要求会更高一些。专有云的网络架构确定后，每个项目的客户需求不同，常常要求变更，最常见的是网络设备选型变更，网络拓扑也常有变更，例如拉专线、利旧原有网络设备等的需求，对于这些情况大多是case by case进行解决。</p>
<p><b>（3）公有云的硬件和配置可定制化，专有云的硬件和配置尽量通用化</b><br />
根据架构演进设计，公有云启用的硬件可定制，且规划是一脉相承的。专有云由于面对的是不同的客户，需求不同，重口难调，架构设计往往需要考虑兼容性，要能利旧，客户常常要求将其已有的交换机资产用在云网络建设上。所以专有云的网络设备往往要求需要通用化，便于不同用户理解，降低用户后期运维的复杂性和学习的成本。<br /><b><br />
（4）架构支持的服务器规模</b><br />
公有云的网络拓扑，一开始的考虑就是中、大规模的。专有云的需求规模各项目不一致，服务器少的项目只有几十台，而服务器多的项目又需要超过几千台以上，因此专有云的网络架构设计需要考虑S/M/L等不同规模，甚至要划分的更细粒度，以便兼顾云平台的稳定性和客户采购的硬件成本的均衡。</p>
<p><b>四、混合云构建的并网案例</b><br />
一般而言，客户在建设专有云之后，可能也会对于自己的租户提供服务，或者自身也会存在部门的划分，希望每个部门也有自己的专有网络，并希望云上的专有网络能够和原有的云下物理网络进行打通。</p>
<p><b>案例1：传统IDC接入阿里云VPC</b><br />
下图是一个常见的传统IDC接入阿里云并网的网络拓扑。图中左半部分是云平台的网络，图上的示例划分了三个VPC，每个VPC内部都包含了自己的云产品，也会有自己的虚拟交换机和虚拟路由器。图中右半部分表示的是客户原有的网络，这个网络可能会基于业务或者基于部门进行划分。那么如何将用户原有的网络接入到云上的网络，实现将业务从云下迁移到云上呢？阿里云会提供VPC的专线接入方案帮助实现传统IDC与阿里云的并网接入。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzQ0Y2E5NTM3M2JlNzQ4ZjU0NTE2OWI4ZGU2Y2E5ZjA2MTBmNTIyZTAucG5n.jpg"></p>
<p><b>案例2：传统IDC接入阿里云VPC--单租户多VPC</b><br />
下图中展现的是单租户多VPC的网络拓扑。图中左半部分是传统IDC的网络区，客户原来可能是通过VLAN划分不同部门之间的网络的，那么如何接入到阿里云的VPC呢？如图中右半部分所示的其实是一个专线接入设备CSW，可以看到左侧的网络一般而言可以根据VLAN的划分设计出接入的方式。如图中所示以VLAN划分为X、Y、Z三个部门的网络，右边在阿里云网络区中也会相应地划分出三个VLAN IF接口，这三个VLAN IF接口会对应地接收客户这边的三部分的报文。客户IDC中的三个VLAN的报文通过Trunk口上行到CSW上以后，因为VPC网络可以进行VPC内的路由和地址规划，因此在CSW交换机上可以划分三个VRF，每个VRF会根据入端口去确定后面的路由转发，比如VLAN X的报文通过Trunk口接收上来之后会终结到三层口VLAN IF X上。VRF一般都是通过入端口进行确定的，因此自然就会在VRF A中进行路由，这样就可以设计从传统IDC网络到VPC上的路由以及从VPC到传统网络的回包路由。当报文通过VRF A路由到出接口的时候，VSI会进行虚拟的交换将当前的流量对应到某一个VXLAN Tunnel上去进行封装和转发，这样报文就会通过综合接入交换机LSW转发到VPC的XGW网关，之后XGW网关根据VXLAN的ID确定当前的流量需要引入到哪一个VPC中去，这样就实现了云下的传统IDC客户网络和云上的租户的VPC的网络打通。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzVkYTYyNDVkMzc2M2JmOTUwMTkzYjBmNGY3ZDM1ZDQ0MTIwYWFiZjEucG5n.jpg"></p>
<p><b>案例3：传统IDC接入阿里云VPC--多租户</b><br />
下图中展现的是另外一个例子：多租户的传统IDC接入阿里云VPC的情况。这与公有云的接入方式比较类似，上一个例子实际上是专有云客户内部网络不同部门或者不同应用的划分并通过VLAN的方式接入，而下图中例子则是专有云客户自己还有很多个租户需要接入，这样接入方式其实与公有云比较相似，多个租户可以通过三层的专线直接接入到VPC的接入点CSW，后面的逻辑其实与上面的案例是一样的，通过入端口确定VRF之后，在CSW内部可以将流量引入到不同的VPC中去来实现云下的网络和云上VPC网络的打通。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzcwM2JkYWYxNzBkNjFkYmViZDI2ODdkODUzZjhlZjVjNmE0ZjdkN2EucG5n.jpg"></p>
<p>上述的实现方式在专有云的实践中经常遇到用户使用静态地址进行接入的情况，因此会需要静态路由配置，比如流量回包时会需要通过VPC到客户网络那一侧进行静态路由的指回。以下图为例，配置静态路由的CSW是一个堆叠的设备，如果远端客户的网络出现了问题，比如光纤被挖断或者出现了设备故障问题，怎样去实现流量的切换呢？其实需要使用NQA + Track的方式，需要定义两种具有不同优先级的路由，正常情况下会通过高优先级的路由传回客户的租户网络，当NQA探测到远端的设备不可达的时候则会通过Track方式将路由切换到备用专线上来传回给租户的网络，这样就实现了远端故障时的流量切换。当远端网络主链路恢复之后流量还可以重新切换回来。这样就实现了云上和云下多链路VPC专线接入的情况下的静态路由链路。</p>
<p><b>五、云网络架构的演进趋势</b><br />
未来，云计算平台网络架构演进的趋势主要如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2MyMzhiNzNlODIwN2NiZjAzODY4NTM4ZjI1OWUwNjYzMWJjZjI0NmYucG5n.jpg"></p>
<p>未来云计算平台上的网络会发生从经典网络到VPC网络进行切换；逐渐去除堆叠，从堆叠环境切换到独立设备，在一个比较大范围的网络使用场景里面减少堆叠带来的故障，整体提高云平台网络的可靠性；在Underlay物理网络中逐渐去掉二层，因为二层经常会出现广播风暴或者环路问题，去掉二层则可以提高网络的可靠性；对于端口而言，会从原来的支持千兆和万兆逐渐过渡到支持25G和100G；对于物理网络的复杂度而言，会逐渐降低对于物理网络的依赖，逐渐将其复杂度下沉到服务器端，无论是VPC网关还是普通云产品的宿主服务器，都会将其对网络的依赖进行逐渐解耦，尽量减少因为网络故障给云平台带来的不稳定。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-26 12:02:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e4%ba%91/" title="阿里云">阿里云</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e5%b9%b3%e5%8f%b0/" title="云平台">云平台</a>, <a href="https://www.iamivan.net/tag/vpc/" title="VPC">VPC</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4/" title="集群">集群</a>, <a href="https://www.iamivan.net/tag/%e8%b4%9f%e8%bd%bd%e5%9d%87%e8%a1%a1/" title="负载均衡">负载均衡</a>, <a href="https://www.iamivan.net/tag/%e5%b8%a6%e5%ae%bd/" title="带宽">带宽</a>, <a href="https://www.iamivan.net/tag/%e5%85%ac%e6%9c%89%e4%ba%91/" title="公有云">公有云</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>云计算网络基础架构的实践和演进——打造云计算网络基石的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQmyBQb.html" rel="bookmark">云计算趋势对网络基础架构影响与思考</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				针对云计算的变革,文章分析云计算发展的几大趋势,阐述适应云计算的关键是要提供高弹性.高扩展性.易管理和开放的网络,并建议未来理想的云计算网络架构应是一个无阻塞.可自愈.即插即用的黑盒网络平台,它可持续演进,并能提供开放的网络业务. 2005年Jeffery发布Mapreduce全新计算架构文章,2006年亚马逊推出EC2业务,随后Google首次推出&quot;云计算&quot;概念,到 2009年,云计算被主流分析机构认为是战略IT技术之首.云计算成为未来业务提供模式也得到广泛的认同,围绕着云计算的许多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VzwZ4Wp.html" rel="bookmark">无线网络基础架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从应用需求方面考虑,无线网络很适合学校的一些不易于网络布线的场所应用.现在大部分校园都建有有线局域网,如何对原有网络进一步扩充,使校园的每个角落都处在网络中,形成真正意义上的校园网?本文所要介绍的就是如何采用无线局域网技术来组建校园网. 无线网络基础架构 无线局域网(Wireless Local Area Network,简称WLAN)技术有蓝牙(Bluetooth).IEEE 802.11 系列.HiperLAN.HomeRF技术等.其中,目前得到广泛应用的技术是IEEE 802.11 系列.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP1VyDz.html" rel="bookmark">网络基础架构创业公司Vyatta融资1200万美元</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				北京时间11月15日晚间消息,据美国科技博客TechCrunch报道,网络基础架构创业公司Vyatta已完成新一轮融资,募集资金1200万美元,融资总额超过4500万美元. 这轮融资由HighBAR Partners牵头,摩根大通.Arrowpath Venture Partners和Citrix Systems参与. Vyatta创立于2005年,提供专注于企业的网络路径.安全.流量管理软件,能让网络管理员充分利用英特尔或AMD硬件的性能,同时在VMWare.Xen和Hyper-V虚拟环境下运			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvld4Wz.html" rel="bookmark">云计算的基础架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云计算基础架构 根据我们在上面提出的云计算应用场景模型,本节提出一个云计算的基本架构,为读者提供参考.这一架构的框架如图9.1所示. 在这一框架下我们着力要解决以下几个问题. (1)不可信节点出现故障时对用户的隔离. (2)计算与存储的整合,以适应计算密集和数据密集的任务. (3)计算资源和存储资源的虚拟化. (4)应用层不同应用和不同用户之间数据存储和计算的隔离. (5)应用层接口和操作系统的提供. 我们曾强调这一云计算系统是基于不可信节点设计的,框架的底层就是由大量的这类节点组成,各服务器使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdXkJ2p.html" rel="bookmark">如何搭建最优云计算平台基础架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,由于云计算平台往往会运行不只一个甚至不只一类应用,因此选择适用的设备是非常必要的.例如在运行基于互联网或者小型增值应用时,通常采用开放的x86服务器架构会具有较好的适用性,但是如果需要运行某些复杂应用,如数据库.在线联机处理应用时,对稳定性和安全性的要求往往较高,这种情况下采用Unix服务器是更适用的选择.遵循这一原则,将帮助云计算平台实现计算能力和计算资源的优化.从存储产品的角度来看,对于复杂的应用来说,选择基于光纤的SAN存储方式是一种很好的选择,但是对于相对比较独立.复杂程度不高的应			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M69XnYb.html" rel="bookmark">思科黄学军：云计算架构规划实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先感谢各位领导以及各位来宾听我谈思科关于云计算的一些理解,以及思考在云计算方面的一些实践经验的介绍. 我今天的主要内容分三个方面,第一方面谈一下思科对于云计算的理解.第二,思科对云计算的基础架构的规划以及相关方案的介绍.第三,思科在云计算领域的经验分享. 首先,我们看到的是传统信息化架构模式,企业发展过程中都会面临这样的问题,归根到底主要是两个方面,一个是时间就是金钱,对于我们业务发展来讲,我们要尽快把业务发展起来,然后上线,推广,这样的话首先占领市场,吸引更多的用户,这样为企业的发展可以带来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdXkl1p.html" rel="bookmark">云计算基础架构【图】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云计算不仅是技术,更是服务模式的创新.云计算之所以能够为用户带来更高的效率.灵活性和可扩展性,是基于对整个IT领域的变革,其技术和应用涉及硬件系统.软件系统.应用系统.运维管理.服务模式等各个方面. IaaS(基础架构即服务)作为云计算的三大部分之一,将基础架构进行云化,从而更好的为应用系统的上线.部署和运维提供支撑,提升效率,降低TCO.同时,由于IaaS包含各种类型的硬件和软件系统,因此在向云迁移过程中也面临前所未有的复杂性和挑战.那么,云基础架构包含哪些组件?主要面临哪些问题?有哪些主要的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze9wN8z.html" rel="bookmark">IBM云计算6&plus;1基础架构管理平台解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 IBM云计算6+1解决方案 IBM云计算解决方案是IBM云计算中心经过多年的探索和实践开发出来的先进的基础架构管理平台.该方案结合了业界最新技术,充分体现云计算理念,已在IBM内部成功运行多年,并在全球范围内有众多客户案例. 该解决方案可以对企业现有的基础架构进行整合,通过虚拟化技术和自动化技术,构建企业自己拥有的云计算中心,实现企业硬件资源和软件资源的统一管理.统一分配.统一部署.统一监控和统一备份,打破应用对资源的独占,从而帮助企业实现云计算理念. 云计算解决方案由以下部分构成: @ 需			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAAwAXM.html" rel="bookmark">云计算深度学习平台架构与实践的必经之路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定义云深度学习平台什么是云深度学习?随着机器学习的发展,单机运行的机器学习任务存在缺少资源隔离.无法动态伸缩等问题,因此要用到基于云计算的基础架构服务.云机器学习平台并不是一个全新的概念,Google.微软.亚马逊等都有相应的服务,这里列举几个比较典型的例子. 定义云深度学习平台什么是云深度学习?随着机器学习的发展,单机运行的机器学习任务存在缺少资源隔离.无法动态伸缩等问题,因此要用到基于云计算的基础架构服务.云机器学习平台并不是一个全新的概念,Google.微软.亚马逊等都有相应的服务,这里列			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmqPwp.html" rel="bookmark" class="title">PHP4&period;0数组相关函数的应用</a>
					<div>
						函数|数组 (Coolman) 由于PHP具有快速.可靠.跨平台应用.源代码开放等特点,使得PHP成为最受欢迎的服务器端Script语言之一,今天在这里我和大家谈谈PHP4.0中数组相关函数应用的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo68N6z.html" rel="bookmark" class="title">PS 大步骤打造写实电池鼠绘</a>
					<div>
						  之前出了养乐多的鼠绘教程,射击友们都说太难了,尤其是锡箔盖子的部分. 这次的教程,实际绘制的难度要小的多,估计动作快,2个小时就可以结束. 分类: PS鼠绘教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7JVab.html" rel="bookmark" class="title">Win8系统多显示器功能体验</a>
					<div>
						1. 如何启动多显示器 和之前熟悉的Win7相比,Win8的多显示器支持变化不大,只是改动了一下位置而已.需要进入Metro或传统桌面,调出开始菜单后,再点击&quot;Devices&quot;选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7R1db.html" rel="bookmark" class="title">Windows 8&period;1用户还在找开始菜单</a>
					<div>
						  在Windows 8.1预览版中,微软听取用户意见在任务栏上重新提供了开始按钮,但是很多用户仍然不满意,因为它并没有带来开始菜单,而是跳转到开始屏幕,这和Windows 8并没有什么区别. 不少用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24q3kp.html" rel="bookmark" class="title">RAC ORA-01102</a>
					<div>
						[grid@m1 ~]$ srvctl start database -d sreport PRCR-1079 : Failed to start resource ora.sreport.db CR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3nk6p.html" rel="bookmark" class="title">弄了很久-Android Studio日志错误</a>
					<div>
						问题描述 Android Studio日志错误 复制别人代码到自己项目结构中出错,改了很多错误,还是没有弄完,一个问题接着一个问题 解决方案 用Android Studio进行项目开发,进行xml布局 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGdk1p.html" rel="bookmark" class="title">ibdata1文件持续增加的问题定位</a>
					<div>
						用户的ibdata1文件持续增加: Innodb的表有两种存放方式: 第一种共享表空间方式:所有表的索引,数据统一存放在一个共享表空间中,这样会导致共享表空间的空间迅速增长,同时空间回收困难: 第二种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP80yAp.html" rel="bookmark" class="title">NS2中tcp中带宽的计算方法</a>
					<div>
						问题描述 NS2中tcp中带宽的计算方法 在有些文献里看到带宽=packetsize/ack(i)-ack(i-1) packetsize 是包的大小 ack(i)-ack(i-1)为包的到达间隔 我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8n6mp.html" rel="bookmark" class="title">河南互联网大会&OpenCurlyDoubleQuote;上线&rdquo; 云计算大数据产业联盟揭牌</a>
					<div>
						昨日,河南省第三届联网大会在郑州拉开大幕,中国工程院院士邬江兴等业内著名专家以及阿里巴巴.腾讯.华为.中国电信等国内互联网.电信业巨头纷纷前来助阵.河南获批建国家大数据综合试验区后也终于迎来了自己的& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwqO4b.html" rel="bookmark" class="title">JS中常用的正则表达式&lowbar;javascript技巧</a>
					<div>
						以下收录一些我经常用到的正则表达式,因为工作场景中用到正则的地方几乎都跟validate插件的验证有关系,所以以下正则也是$.validator.addMethod() 的拓展: validate:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNoxYz.html" rel="bookmark" class="title">银行存取款模型的线程同步问题</a>
					<div>
						  关于线程同步,网上也有很多资料,不过不同的人理解也不大一样,最近在研究这个问题的时候回想起大学课本上的一个经典模型,即银行存取款模型,通过这个模型,我个人感觉解释起来还是比较清楚的.本文结合自己的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6lyAb.html" rel="bookmark" class="title">如何把域名转移到国外去</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 这一阵子互联网上在事小事真是没完没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKdkXb.html" rel="bookmark" class="title">hibernate4-HQL需要多表的数据&comma;条件来自其他表&comma;还要从别的表取一个数据</a>
					<div>
						问题描述 HQL需要多表的数据,条件来自其他表,还要从别的表取一个数据 现在有两个实体类 一个FlowAgentModel 里面有一个cp_id 和CpInfoModel字段,还有一个CpInfoMo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydKwkb.html" rel="bookmark" class="title">配备事件摄像机的无人机，首次实现成功自主飞行</a>
					<div>
						近日,雷锋网消息,Antoni Rosinol Vidal.Henri Rebecq.Timo Horstschaefer以及Scaramuzza这四位教授在提交机器人与自动化信函的一篇论文中,首次介 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7yPAM.html" rel="bookmark" class="title">CHM集锦&lpar;CHM&rpar;&lowbar;经验交流</a>
					<div>
						样式表中文手册CSS2.0(CHM) 下载         new 外挂制作教程(CHM) 下载         new C#2.0新特性(CHM)下载           new DHTML 手册( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeROKNb.html" rel="bookmark" class="title">java-并发-CountDownLatch、CyclicBarrier和Semaphore</a>
					<div>
						在java 1.5中,提供了一些非常有用的辅助类来帮助我们进行并发编程,比如CountDownLatch,CyclicBarrier和Semaphore,今天我们就来学习一下这三个辅助类的用法. 以下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0qglp.html" rel="bookmark" class="title">快速构建Windows 8风格应用29-捕获图片与视频</a>
					<div>
						原文:快速构建Windows 8风格应用29-捕获图片与视频 引言 本篇博文主要介绍Windows 8中相机的概念.捕获图片与视频的基本原理.如何实现捕获图片与视频.相机最佳实践. 一.相机 关于相机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7gWOz.html" rel="bookmark" class="title">Python补充03 Python内置函数清单</a>
					<div>
						原文:Python补充03 Python内置函数清单 作者:Vamei 出处:http://www.cnblogs.com/vamei 欢迎转载,也请保留这段声明.   Python内置(built- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodO4jM.html" rel="bookmark" class="title">炒冷饭系列：设计模式 单例模式</a>
					<div>
						一.什么是单例模式 单例模式是一种对象创建型模式,使用单例模式, 可以保证为一个类只生成唯一的实例对象.也就是说, 在整个程序空间中,该类只存在一个实例对象. 其实,GoF对单例模式的定义是:保证一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBD5gM.html" rel="bookmark" class="title">关于java配置环境的搭建和一个小程序</a>
					<div>
						问题描述 1这样是不是说明配置环境已经ok了?2我运行一个小程序始终是这样子的? 放在D盘a文件夹代码是这个public class HelloJava{ public static void mai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBGDqM.html" rel="bookmark" class="title">瑞金麟发力电商代运营行业</a>
					<div>
						本报讯(记者 王伶玲)近日,国内知名网络公司瑞金麟表示,将加快跑马圈地,发力电商代运营行业. 记者了解到,随着越来越多品牌企业开始倾向于网络营销,打造自己的网上品牌店,这给了电商代运营企业广阔的发展空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1ZLOb.html" rel="bookmark" class="title">字符串倒置</a>
					<div>
						问题描述 字符串:A/B/C/D怎么用公式改为:D/C/B/A请教,谢谢了. 解决方案 解决方案二:我没发现有现成的函数,自己写了一个,你参考下吧.tmpArr:=@Explode(&quot;A/B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NyDxp.html" rel="bookmark" class="title">那位高手前来相助</a>
					<div>
						问题描述 代码:myBind.Position=myBind.Count-1错误:未将对象引用设置到对象的实例. 解决方案 解决方案二:你这里的myBind存在?或者是不是为空,检查下这个对象.解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn48Krb.html" rel="bookmark" class="title">淘宝网分拆的幕后玄机</a>
					<div>
						6月16日,支付宝牌照风波还旧未消停,互联网业界关于VIE架构(协议控制)以及契约精神的争鸣也还没有告一段落,但马云执掌的阿里巴巴集团却又开始了新的大动作:分拆淘宝网,大淘宝转为大阿里. 淘宝网被一拆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7ZG1p.html" rel="bookmark" class="title">首都机场公用电话打市话免费3分钟</a>
					<div>
						本报讯(记者孟环)首都机场与中国联通合作,在航站楼推出新型多媒体公用电话机,旅客可以免费拨打市话3分钟. 这种新型多媒体公用电话机还提供免费上网服务.股票行情查询服务.数字地图引导服务等. 目前,首都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPd5Op.html" rel="bookmark" class="title">wireless-iwpriv ra0 show stainfo &amp;amp&semi;amp&semi;gt&semi; aaa &semi;cat aaa 无法得到信息&period;</a>
					<div>
						问题描述 iwpriv ra0 show stainfo &gt; aaa ;cat aaa 无法得到信息. iwpriv ra0 show stainfo &gt; aaa 2&gt;&amp;1; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWo0Vp.html" rel="bookmark" class="title">《精通Matlab数字图像处理与识别》一6&period;1 频率域滤波&mdash;&mdash;与空间域滤波殊途同归</a>
					<div>
						6.1 频率域滤波--与空间域滤波殊途同归 精通Matlab数字图像处理与识别在很多情况下,频率域滤波和空间域滤波可以视为对于同一个图像增强问题的殊途同归的两种解决方式.而在另外一些情况下,有些增强问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG3mXkz.html" rel="bookmark" class="title">联想副总裁：英伟达在移动领域不会成为主流</a>
					<div>
						联想在目前的电子设备产业中可谓举足轻重,全球PC销量第一.平板电脑销量第四.智能手机销量第四,每个头衔都含金量十足.最近其移动互联网和数字家庭业务集团的副总裁JD Howard在香港接受媒体采访,谈起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnO30oz.html" rel="bookmark" class="title">snmp协议 trap的产生</a>
					<div>
						问题描述 谁能告诉我snmp的trap是怎么产生的啊?求你们了.....................告诉我一个trap的信息是怎么产生出来的,现在在管理端可以接收到trap的信息,但是不知道这些信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPOq5DM.html" rel="bookmark" class="title">中国鞋服行业电子商务峰会落下帷幕</a>
					<div>
						&quot;2012中国鞋服行业电子商务峰会&quot; 于日前正式落下帷幕,此次峰会由泉州市人民政府主办,泉州市经贸委.泉州电子商务中心和环球鞋网负责承办.淘鞋网成为此次峰会的荣誉合作伙伴.在峰会现 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
